#include<bits/stdc++.h>
using namespace std;
int main()
{
	ios::sync_with_stdio(false);
	int n, m;
	cin >> n >> m;
	int niz[m];
	for(int i=0;i<m;i++)
	    cin >> niz[i];
	cout << 0 << endl;
	return 0;
}